This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 132923 - Multi flash card reader not detected properly
Multi flash card reader not detected properly
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-19 16:30 EDT by Graham Cole
Modified: 2015-01-04 17:09 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-10 20:17:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Graham Cole 2004-09-19 16:30:29 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)
Gecko/20040803 Galeon/1.3.17

Description of problem:
Only one of the slots on my USB multi card reader is being detected. 
This is the output of cat /proc/scsi/scsi:
----
Host: scsi0 Channel: 00 Id: 00 Lun: 00
  Vendor: ATA      Model: ST3200822AS      Rev: 3.01
  Type:   Direct-Access                    ANSI SCSI revision: 05
Host: scsi2 Channel: 00 Id: 00 Lun: 00
  Vendor: OEI-USB2 Model: CompactFlash     Rev: 2.00
  Type:   Direct-Access                    ANSI SCSI revision: 02
----
After I do following workaround,
  echo "scsi add-single-device 2 0 0 1" > /proc/scsi/scsi
it detects the SM/MS/SD reader:
----
cat /proc/scsi/scsi
Host: scsi0 Channel: 00 Id: 00 Lun: 00
  Vendor: ATA      Model: ST3200822AS      Rev: 3.01
  Type:   Direct-Access                    ANSI SCSI revision: 05
Host: scsi2 Channel: 00 Id: 00 Lun: 00
  Vendor: OEI-USB2 Model: CompactFlash     Rev: 2.00
  Type:   Direct-Access                    ANSI SCSI revision: 02
Host: scsi2 Channel: 00 Id: 00 Lun: 01
  Vendor: OEI-USB2 Model: SM/MS/SD         Rev: 2.00
  Type:   Direct-Access                    ANSI SCSI revision: 02
----

Bus 003 Device 008: ID 046d:c024 Logitech, Inc.
Bus 003 Device 007: ID 413c:2001 Dell Computer Corp.
Bus 003 Device 006: ID 413c:1001 Dell Computer Corp.
Bus 003 Device 002: ID 04e8:323a Samsung Electronics Co., Ltd
Bus 003 Device 001: ID 0000:0000
Bus 002 Device 001: ID 0000:0000
Bus 001 Device 004: ID 55aa:2b12 OnSpec Electronic, Inc.
Bus 001 Device 001: ID 0000:0000

----

Seems like the reader is ID 55aa:2b12

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Plug in my USB card reader
2. cat /proc/scsi/scsi

    

Actual Results:  Reader slot not detected properly

Expected Results:  Second card slot should be autodetected and work
just as the first one

Additional info:

I'm using kernel-2.6.8-1.521
I wasn't sure if this was a kernel issue or a hotplug issue.
Comment 1 Elliot Lee 2004-10-29 13:22:31 EDT
kernel-2.6.9-1.649 has a fix.

Note You need to log in before you can comment on or make changes to this bug.